package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author citygis
 * @since 2025-01-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TabLog2对象", description="")
public class TabLog2 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("url")
    private String url;

    @TableField("para")
    private String para;

    @TableField("time")
    private String time;

    @TableField("reponse")
    private String reponse;

    @TableField("status")
    private String status;

    @TableField("responseTime")
    private String responseTime;

    @TableField("ip")
    private String ip;

    @TableField(exist = false)
    private String startTime;

    @TableField(exist = false)
    private String endTime;


}
